Function
extendSeed
Extends a seed.
void extendSeed(seed, database, query, direction, MatchExtend);
void extendSeed(seed, database, query, direction, scoreMatrix, scoreDropOff, {UngappedXDrop, GappedXDrop});
Include Headers
seqan/seeds.h
Parameters

seed | The seed to extend. Types: Seed
query | The query sequence (vertical). Types: String
database | The database sequence (horizontal). Types: String
direction | Defines the direction in which the seed should be extended. Types: Extension Direction
scoreDropOff | The score drop after which the extension should stop. The extension stops if this value is exceeded. Remarks: Only used for the algorithms UngappedXDrop and GappedXDrop
scoreMatrix | The scoring scheme. Types: Simple Score Remarks: Only used for the algorithms UngappedXDrop and GappedXDrop

Remarks
You can use the tags, MatchExtend, UngappedXDrop, and GappedXDrop.
Note that the diagonals updated in seed do not necessarily reflect the diagonals for the optimal extension but the diagonals used in all traces of the extension. However, they are guaranteed to include the optimal extension's trace.
Member of
Seed
Examples
The documentation of the class Seed contains an example for seed extension.
See Also
Extension Direction, Seed Extension
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58